Subject: Re: gitweb wishlist

From: David Mansfield <[email-masked]>
Date: Tue, 24 May 2005 16:10:33 -0400

David Mansfield wrote:
> Linus Torvalds wrote:
> 
>>On Tue, 24 May 2005, Linus Torvalds wrote:
>>
>>
>>>Fixing the branch handling shows that cvsps does some really strange
>>>things with the newly added "Ancestor grpah". Here's one example:
>>
>>
>>Ahh, looking at cvsps source, I think I see what's going on. 
>>
>>It's deciding the "previous branch" by looking at what the previous branch 
>>for the first individual file in the PatchSet was, which fails because in 
>>this case, PatchSet 372 was changing "syslinux.doc", and Patchset 374 was 
>>changing "syslinux.c", and thus the previous version of the individual 
>>_files_ were both in the HEAD branch.
>>
>>So it does look like I should just ignore the "Ancestor branch" 
>>information if the new branch already existed.
>>
> 
> 
> I've attached what I just committed.  The previous 'show ancestor' patch 
> needs to be reversed and this applied.  It works for me on a half-dozen 
> repos including syslinux.
> 

Oops.  I forgot to metion I made the tracking of branch ancestry an 
option because it potentially increases the cpu time a fair margin 
(though here it seemed trivial).  You need to pass '-A' as an additional 
argument.

David